"""
# Numerix

Fancy numerics made easy.
"""


__version__ = '1.4.2'
""" Current version of the numerix package as string 'x.y.z'. """

__year__ = '2024'
""" Year of the current numerix version as string. """

# Add them to documentation:
__pdoc__ = {}
__pdoc__['__version__'] = True
__pdoc__['__year__'] = True


# Functions defined directly in __init__.py can be imported directly
# from the package (e.g. from numerix import add_four):
def add_four(x):
    """Add four to a number.

    Parameters
    ----------
    x: int or float
        A number.

    Returns
    -------
    y: int or float
       `x` plus 4.
    """
    return x + 4


# Functions from the modules of the package can be imported into the
# namespace of the package:
from .addition import add_two
